Bug 56835 - (NET PCMCIA)pcmcia net drivers not using MII ioctls (using "old" DEVPRIVATE ioctls)
(NET PCMCIA)pcmcia net drivers not using MII ioctls (using "old" DEVPRIVATE i...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brock Organ
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-28 11:48 EST by diego.santacruz
Modified: 2013-07-02 22:05 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description diego.santacruz 2001-11-28 11:48:28 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.5) Gecko/20011014

Description of problem:
The pcmcia net drivers in drivers/net/pcmcia do not use the
MII ioctls, they still use the DEVPRIVATE ioctls.
As a result mii-tool (from net-tools-1.60-3) does not work on pcmcia net
interfaces, since it was updated to use the MII ioctls instead of the
DEVPRIVATE ones.
Kernel version: 2.4.9-13

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Insert Xircom CEM56 pcmcia card
2. Network comes up
3. "mii-tool eth0" fails
4. "ltrace mii-tool eth0" shows that ioctl 0x8947 (SIOCGMIIPHY) fails
5. Examination of files in /usr/src/linux-2.4.9/drivers/net/pcmcia shows
that all drivers still use the SIOCDEVPRIVATE ioctls that were used by
mii-tool of net-tools previous to 1.60, instead of the new SIOCGMIIPHY
ioctls used by the mii-tool of net-tools 1.60-3 (changed by redhat patch
net-tools-1.60-miiioctl.patch of net-tools-1.60-3)

Actual Results:  mii-tool fails

Expected Results:  mii-tool working on Xircom CEM56 card.

Additional info:
Comment 1 Bugzilla owner 2004-09-30 11:39:18 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.